Index: trunk/SRC/ReadWrite/ncdf_timeget.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 105)
+++ trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 106)
@@ -3,30 +3,21 @@
 ;------------------------------------------------------------
 ;+
-; NAME: ncdf_timeget
-;
-; PURPOSE: get the time axis fom a netcdf_file and transforms it in
+; @file_comments get the time axis fom a netcdf_file and transforms it in
 ; julian days of IDL.
 ;
-; CATEGORY: reading ncdf_file
+; @categories reading ncdf_file
 ;
-; CALLING SEQUENCE: time = ncdf_timeget(cdfid, timeid)
-; 
-; INPUTS:cdfid: the ID of the ncdf_file, which is already open
-;        timeid: the ID or the name of the variable which describe the calendar
+; @param cdfid {in}{required} the ID of the ncdf_file, which is already open
+; @param timeid {in}{required} the ID or the name of the variable which describe the calendar
 ;
-; KEYWORD PARAMETERS:
-;        /YYYYMMDD: active to obtain the date as a longinterger with
+; @keyword /YYYYMMDD active to obtain the date as a longinterger with
 ;        the format YearYearYearYearMonthMonthDayDay
 ;
-;        the keyword parameters of ncdf_varget
+; @file_comments the keyword parameters of ncdf_varget
 ;
-; OUTPUTS:a long array of IDL julian days
+; @returns a long array of IDL julian days
 ;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS: the calendar variable must have the units attribute
-; folowing the syntaxe bellow:
+; @restrictions the calendar variable must have the units attribute
+; following the syntaxe bellow:
 ;
 ; time_counter:units = "seconds since 0001-01-01 00:00:00" ;
@@ -36,7 +27,5 @@
 ; time_counter:units = "years since 1979-01-01 00:00:00" ;
 ;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2001
 ;-
Index: trunk/SRC/ReadWrite/read_grads.pro
===================================================================
--- trunk/SRC/ReadWrite/read_grads.pro	(revision 105)
+++ trunk/SRC/ReadWrite/read_grads.pro	(revision 106)
@@ -3,24 +3,16 @@
 ;------------------------------------------------------------
 ;+
-; NAME:read_grads
-;
-; PURPOSE:reading grads file (except "data type station" or "grib")
+; @file_comments reading grads file (except "data type station" or "grib")
 ; from the grads control file even if there is multiple data files.
 ;
-; CATEGORY:reading function
-;
-; CALLING SEQUENCE: 
-;       res=read_grads(var, date1 [, date2], FILENAME = filename)
-; 
-; INPUTS:
-;       var: the variable name
-;       date1: date of the beginning (yyyymmdd if TIMESTEP is not activate)
-;       date2: last date. Optionnal, if not scpecified date2=date1
+; @categories reading function
+;
+;       @param var {in}{required} the variable name
+;       @param date1 {in}{required} date of the beginning (yyyymmdd if TIMESTEP is not activate)
+;       @param date2 {in}{optional} last date. Optionnal, if not scpecified date2=date1
 ;      
-; KEYWORD PARAMETERS:
-;       
-;       FILENAME: the grads control file name: 'xxxx.ctl'
-;
-;       GLAMBOUNDARY (via computegrid.pro):a 2 elements vector,
+; @keyword FILENAME the grads control file name: 'xxxx.ctl'
+;
+; @file_comments keyword GLAMBOUNDARY (via computegrid.pro) a 2 elements vector,
 ;       {lon1,lon2], giving the longitute boundaries that should be
 ;       used to visualize the data.
@@ -30,37 +22,38 @@
 ;       GLAMBOUNDARY.
 ;
-;       /TIMESTEP: to specify that the dates are time steps instead of 
+;       @keyword /TIMESTEP to specify that the dates are time steps instead of 
 ;       true calendar.
 ;
-;       IODIRECTORY;a string giving the name of iodirectory (see
+;        @file_comments keyword IODIRECTORY a string giving the name of iodirectory (see
 ;       isafile.pro for all possibilities). default value is common 
 ;       variable iodir
 ;
+; @file_comments
 ;---------------
 ; NOT yet available
 ;---------------
 ;
-;       BOX: a 4 or 6 elements 1d array, [lon1,lon2,lat1,lat2, depth1, 
+;       @hidden BOX: a 4 or 6 elements 1d array, [lon1,lon2,lat1,lat2, depth1, 
 ;       depth2], that specifies the area where data must be read
 ;
-;       EVERYTHING
+;       @hidden EVERYTHING
 ; 
-;       NOSTRUCTURE
+;       @hidden NOSTRUCTURE
 ;       
-; OUTPUTS: an array
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:define all the grid parameters (defined in common.pro)
+; @returns an array
+;
+; @uses common
+;
+; @restriction define all the grid parameters (defined in common.pro)
 ; associated to the data.
 ;
-; RESTRICTIONS: this function call the procedure scanfile that use the 
+; @restrictions this function call the procedure scanfile that use the 
 ; unix commands grep and sed 
 ;
-; EXAMPLE:
+; @examples
 ;    IDL> a=read_grads('sst',19900101,19900131,filename='outputs.ctl')
 ;    IDL> plt, a
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ;-
Index: trunk/SRC/ReadWrite/read_oasis.pro
===================================================================
--- trunk/SRC/ReadWrite/read_oasis.pro	(revision 105)
+++ trunk/SRC/ReadWrite/read_oasis.pro	(revision 106)
@@ -3,30 +3,23 @@
 ;------------------------------------------------------------
 ;+
-; NAME:read_oasis
+; @file_comments read the f77 unformated files used in Oasis (version < 2.5) 
 ;
-; PURPOSE:read the f77 unformated files used in Oasis (version < 2.5) 
+; @categories reading
 ;
-; CATEGORY:reading
+;        @param filename {in}{required} the filename
+;        @param varname {in}{required} the name of the variable to be read
+;        @param jpi {in}{required}
+;        @param jpj {in}{required} 
+;        the size of the 2d array to be read
 ;
-; CALLING SEQUENCE: z2d=read_oasis(filename, varname, jpi, jpj)
-; 
-; INPUTS:
-;        filename:the filename
-;        varname: the name of the variable to be read
-;        jpi and jpj the size of the 2d array to be read
+; @keyword /I2 ++ param ou mot clef
+; @keyword /I4
+; @keyword /I8
+; @keyword /R4
+; to change the defaut format (R8) of the data to be read.
 ;
-; KEYWORD PARAMETERS:
-;        /I2, /I4, /I8, /R4: to change the defaut format (R8) of the data to 
-;        be read.
+; @returns a 2d array
 ;
-; OUTPUTS:a 2d array
-;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples
 ; IDL> a=read_oasis('grids_orca_t106','a106.lon',320,160)
 ; IDL> m=read_oasis('masks_orca_t106','or1t.msk',182,149,/i4)
@@ -34,5 +27,5 @@
 ; see also IDL> scanoasis,'grids_orca_t106'
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 01, 2002
 ;-
Index: trunk/SRC/ReadWrite/readbat.pro
===================================================================
--- trunk/SRC/ReadWrite/readbat.pro	(revision 105)
+++ trunk/SRC/ReadWrite/readbat.pro	(revision 106)
@@ -3,29 +3,15 @@
 ;------------------------------------------------------------
 ;+
-; NAME: readbat
+; @file_comments reading the bathymetry ASCII file of OPA
 ;
-; PURPOSE: reading the bathymetry ASCII file of OPA
+; @categories for OPA
 ;
-; CATEGORY: for OPA
+; @param filename {in}{required} a string containing the filename,  
 ;
-; CALLING SEQUENCE: bat=readbat(filename)
-; 
-; INPUTS:
-;    filename: a string containing the filename,  
+; @keyword /ZERO to put 0 on land instead of negatives values for the islands.
 ;
-; KEYWORD PARAMETERS:
-;    /ZERO: to put 0 on land instead of negatives values for the islands.
+; @returns a 2d array
 ;
-; OUTPUTS: a 2d array
-;
-; COMMON BLOCKS:no
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      May 31, 2002
 ;    based on batlec2.pro, written by Maurice Imbard, March 17, 1998
Index: trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 105)
+++ trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 106)
@@ -3,37 +3,17 @@
 ;------------------------------------------------------------
 ;+
-; NAME:readoldopadistcoast
-;
-; PURPOSE:
+; @file_comments
 ;      read the old binary direct access file that contains the
 ;      distance to the coast in OPA.
 ;      based on the OPA subroutines dtacof and parctl
 ;
-; CATEGORY:for OPA before NetCDF
+; @categories for OPA before NetCDF
 ;
-; CALLING SEQUENCE:res=readoldopadistcoast(filename)
 ;
-; INPUTS:
-;      filename (with the whole path if necessary)
-;     jpiglo, jpjglo, jpk: dimensions of the opa grid
-;
-; KEYWORD PARAMETERS:
-;     IBLOC: ibloc size, default: ibloc = 4096L
-;     JPBYT: jpbyt size, defalut: jpbyt = 8L
-;     NUMREC: number of records in the file. defalut: numrec = 19L*jpk
-;
-; OUTPUTS: a structure that contains two elements: tdistcoast (the
+; @returns  a structure that contains two elements: tdistcoast (the
 ; distance for the t-points) and fdiscoast (the distance for the
 ; f-points).
 ;
-; COMMON BLOCKS: no
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June, 2002
 ;-
@@ -49,5 +29,16 @@
 end
 
-
+;+
+;     @param filename {in}{required} filename (with the whole path if necessary)
+;     @param jpiglo {in}{required}
+;     @param jpjglo {in}{required}
+;     @param jpk {in}{required}
+;      dimensions of the opa grid
+;     @keyword IBLOC ibloc size, default: ibloc = 4096L
+;     @keyword JPBYT jpbyt size, default: jpbyt = 8L
+;     @keyword NUMREC number of records in the file. default: numrec = 19L*jpk
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;                      June, 2002
+;-
 FUNCTION readoldopadistcoast, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec
 ;
Index: trunk/SRC/ReadWrite/readoldoparestart.pro
===================================================================
--- trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 105)
+++ trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 106)
@@ -3,37 +3,10 @@
 ;------------------------------------------------------------
 ;+
-; NAME:readoldoparestart
-;      based on the OPA subroutine dtrlec included at the end of the
-;      file.
-;
-; PURPOSE:read the old restart files of OPA (before NetCDF)
-;
-; CATEGORY:for OPA before NetCDF
-;
-; CALLING SEQUENCE:readoldoparestart, filename, jpiglo, jpjglo, jpk
-; 
-; INPUTS:
-;     filename: with the whole path if necessary
-;     jpiglo, jpjglo, jpk: dimensions of the opa grid
-;
-; KEYWORD PARAMETERS:
-;     IBLOC: ibloc size, default: ibloc = 4096L
-;     JPBYT: jpbyt size, defalut: jpbyt = 8L
-;     NUMREC: number of records in the file. defalut: numrec = 19L*jpk
-;     UB, VB, TB, SB, ROTB, HDIVB, UN, VN, TN, SN, ROTN, HDIVN, GCX,
-;     GCXB, ETAB, TAN, BSFB, BSFN, BSFD, EN: the variable we want to
-;     read. 
-;
-; OUTPUTS:according to the given keywords.
-;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:bug for etab and etan written on the same record???
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @categories for OPA before NetCDF
+;
+; @restrictions bug for etab and etan written on the same record???
+;
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2002
 ;-
@@ -48,4 +21,8 @@
    return, a[0]
 end
+;+
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;                      June 2002
+;-
 FUNCTION read3fromopa, unit, params, num
    offset=params.reclen*params.jpk*(num-1L)
@@ -54,4 +31,45 @@
 end
 
+;+
+; @file_comments read the old restart files of OPA (before NetCDF)
+;      based on the OPA subroutine dtrlec included at the end of the
+;      file.
+; @categories for OPA before NetCDF
+;     @param filename {in}{required} with the whole path if necessary
+;     @param jpiglo {in}{required}
+;     @param jpjglo {in}{required}
+;     @param jpk {in}{required}
+;       dimensions of the opa grid
+;     @keyword IBLOC ibloc size, default: ibloc = 4096L
+;     @keyword JPBYT jpbyt size, defalut: jpbyt = 8L
+;     @keyword NUMREC number of records in the file. defalut: numrec = 19L*jpk
+;     @keyword UB
+;     @keyword VB
+;     @keyword TB
+;     @keyword SB
+;     @keyword ROTB
+;     @keyword HDIVB
+;     @keyword UN
+;     @keyword VN
+;     @keyword TN
+;     @keyword SN
+;     @keyword ROTN
+;     @keyword HDIVN
+;     @keyword GCX
+;     @keyword GCXB
+;     @keyword ETAB
+;     @keyword ETAN
+;     @keyword BSFB
+;     @keyword BSFN
+;     @keyword BSFD
+;     @keyword EN
+;       the variable we want to read. 
+;
+; @returns according to the given keywords.
+; @restrictions bug for etab and etan written on the same record???
+;
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;                      June 2002
+;-
 
 PRO readoldoparestart, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec, ub = ub, vb = vb, tb = tb, sb = sb, rotb = rotb, hdivb = hdivb, un = un, vn = vn, tn = tn, sn = sn, rotn = rotn, hdivn = hdivn, gcx = gcx, gcxb = gcxb, etab = etab, etan = etan, bsfb = bsfb, bsfn = bsfn, bsfd = bsfd, en = en
Index: trunk/SRC/ReadWrite/scanctl.pro
===================================================================
--- trunk/SRC/ReadWrite/scanctl.pro	(revision 105)
+++ trunk/SRC/ReadWrite/scanctl.pro	(revision 106)
@@ -1,7 +1,9 @@
-;       GLAMBOUNDARY:a 2 elements vector, {lon1,lon2], the longitute
+;+
+;       @file_comments GLAMBOUNDARY 2 elements vector, {lon1,lon2], the longitute
 ;       boundaries that should be used to visualize the data.
 ;         lon2 > lon1
 ;         lon2 - lon1 le 360
 ;       key_shift will be defined according to GLAMBOUNDARY.
+;-
 PRO scanctl, filename, filesname, jpt1file, varsname, varslev, swapbytes, bigendian, littleendian, f77sequential, fileheader, theader, xyheader, VARFMT = varfmt, _EXTRA = ex
 @common
Index: trunk/SRC/ReadWrite/scanoasis.pro
===================================================================
--- trunk/SRC/ReadWrite/scanoasis.pro	(revision 105)
+++ trunk/SRC/ReadWrite/scanoasis.pro	(revision 106)
@@ -3,27 +3,16 @@
 ;------------------------------------------------------------
 ;+
-; NAME:scanoasis
+; @file_comments scan an Oasis file (version < 2.5)
 ;
-; PURPOSE:scan an Oasis file (version < 2.5)
+; @categories know what is inside
 ;
-; CATEGORY:know what is inside
+; @param filename {in}{required} the file name
 ;
-; CALLING SEQUENCE:scanoasis, filename
-; 
-; INPUTS: filename: the file name!
+; @restrictions List the variable names included in a Oasis file
 ;
-; KEYWORD PARAMETERS:
+; @examples
+;  IDL> scanoasis,'grids_orca_t106'
 ;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS: List the variable names included in a Oasis file
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:  IDL> scanoasis,'grids_orca_t106'
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 01, 2002
 ;-
Index: trunk/SRC/ReadWrite/write_oasis.pro
===================================================================
--- trunk/SRC/ReadWrite/write_oasis.pro	(revision 105)
+++ trunk/SRC/ReadWrite/write_oasis.pro	(revision 106)
@@ -3,36 +3,25 @@
 ;------------------------------------------------------------
 ;+
-; NAME:write_oasis
 ;
-; PURPOSE:write an Oasis file (version < 2.5)
+; @file_comments write an Oasis file (version < 2.5)
 ;
-; CATEGORY:
+; @param filename {in}{required} the filename
+; @param varname {in}{required} the name of the variable to be written
+; @param z2d {in}{required} the variable (2D array) to be written
 ;
-; CALLING SEQUENCE:write_oasis, filename, varname, z2d
-; 
-; INPUTS:
-;        filename:the filename
-;        varname: the name of the variable to be written
-;        z2d: the variable (2D array) to be written
+; @keyword /I2 ++ param ou mot clef
+; @keyword /I4
+; @keyword /I8
+; @keyword /R4
+; to change the defaut format (R8) of the data to be written.
 ;
-; KEYWORD PARAMETERS:
-;        /I2, /I4, /I8, /R4: to change the defaut format (R8) of the data to 
-;        be written.
-;
-;        /APPEND: to open the file with the file pointer at the end of
+; @keyword /APPEND to open the file with the file pointer at the end of
 ;        the file, ready for data to be appended.
 ;
-; OUTPUTS:
 ;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:varname is automatically written as a "charactere*8"
+; @restrictions varname is automatically written as a "charactere*8"
 ;              by defaut z2d is written as an R8 array
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 01, 2002
 ;-
Index: trunk/SRC/ReadWrite/writebat.pro
===================================================================
--- trunk/SRC/ReadWrite/writebat.pro	(revision 105)
+++ trunk/SRC/ReadWrite/writebat.pro	(revision 106)
@@ -3,29 +3,13 @@
 ;------------------------------------------------------------
 ;+
-; NAME: writebat
 ;
-; PURPOSE: write the bathymetry ASCII file of OPA
+; @file_comments write the bathymetry ASCII file of OPA
 ;
-; CATEGORY: for OPA
+; @categories for OPA
 ;
-; CALLING SEQUENCE: writebat, bat, filename,
-; 
-; INPUTS:
-;    bat: the bathymetry, a 2d array  
-;    filename: a string containing the filename,  
+; @param zbat {in}{required} the bathymetry, a 2d array  
+; @param filename {in}{required} a string containing the filename,  
 ;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:no
-;
-; COMMON BLOCKS:no
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      Sept 30, 2003
 ;    based on batsav2.pro, written by Maurice Imbard, March 17, 1998
